## com.lowagie.bc.asn1
Class BEROutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              com.lowagie.bc.asn1.DEROutputStream
                  com.lowagie.bc.asn1.BEROutputStream

All Implemented Interfaces:
  DERTags

public class BEROutputStream
extends DEROutputStream

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`BEROutputStream(OutputStream os)`

Method Summary
`void` `writeObject(Object obj)`

Methods inherited from class com.lowagie.bc.asn1.DEROutputStream
`writeEncoded, writeNull`

Methods inherited from class java.io.FilterOutputStream
`close, flush, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BEROutputStream

    public BEROutputStream(OutputStream os)

Method Detail

### writeObject

    public void writeObject(Object obj)
                     throws IOException

  Overrides:
    `writeObject` in class `DEROutputStream`
  Throws:
    `IOException`